LibreOffice: DocumentSignatureInformation Struct Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Loading...
Searching...
No Matches
Public Attributes | List of all members
DocumentSignatureInformation Struct Reference

Status of digital signatures in a document. More...

## Public Attributes
XCertificate | Signer
long | SignatureDate
long | SignatureTime
| Time of day, in 100th of seconds.
boolean | SignatureIsValid
long | CertificateStatus
| Reflects the validity of the certificate.
boolean | PartialDocumentSignature
| Indicates what content of a document is signed.
string | SignatureLineId
| The ID of the Signature Line.
com::sun::star::graphic::XGraphic | ValidSignatureLineImage
| The Signature Line Image which is shown when the signature is valid.
com::sun::star::graphic::XGraphic | InvalidSignatureLineImage
| The Signature Line Image which is shown when the signature is invalid.

## Detailed Description

Status of digital signatures in a document.

This structure has the information about a digital signature in a document, and the status if the signature is valid.

## Member Data Documentation

## ◆ CertificateStatus

long CertificateStatus

Reflects the validity of the certificate.

Contains a value from the constants of com::sun::star::security::CertificateValidity.

## ◆ InvalidSignatureLineImage

com::sun::star::graphic::XGraphic InvalidSignatureLineImage

The Signature Line Image which is shown when the signature is invalid.

Since
  LibreOffice 6.0

## ◆ PartialDocumentSignature

boolean PartialDocumentSignature

Indicates what content of a document is signed.

This value can be ignored when this struct is returned as part of a macro signature validation. As of OpenOffice.org 3.2 and ODF 1.2 the document signature comprises all files except the signature file itself. Signatures in OOo 2.x were only applied to the files in the root of the document, except mimetype, the Pictures and ObjectReplacements/Objects folder. That is, macros were not part of the document signature. OOo 3.0 signed everything, except mimetype and the META-INF folder.

If PartialDocumentSignature is true, then the signature was created by OOo with a version lower than 3.2. In this case, not all files are signed. The signature can still be regarded as valid, as long as SignatureIsValid is true and the certificate could be validated. However, users should be notified about the fact, that not everything in this document is signed.

## ◆ SignatureDate

long SignatureDate

## ◆ SignatureIsValid

boolean SignatureIsValid

## ◆ SignatureLineId

string SignatureLineId

The ID of the Signature Line.

Since
  LibreOffice 6.0

## ◆ SignatureTime

long SignatureTime

Time of day, in 100th of seconds.

## ◆ Signer

XCertificate Signer

## ◆ ValidSignatureLineImage

com::sun::star::graphic::XGraphic ValidSignatureLineImage

The Signature Line Image which is shown when the signature is valid.

Since
  LibreOffice 6.0

The documentation for this struct was generated from the following file:

- com/sun/star/security/DocumentSignatureInformation.idl